Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | Friends | List of all members
RagTime5Spreadsheet Class Reference

the main class to read the spreadsheet part of RagTime 56 file More...

`#include <RagTime5Spreadsheet.hxx>`

## Public Member Functions
| RagTime5Spreadsheet (RagTime5Parser &parser)
| constructor More...
virtual | ~RagTime5Spreadsheet ()
| destructor More...
int | version () const
| returns the file version More...
int | numPages () const
| returns the number of pages More...

## Protected Member Functions
bool | send (int zoneId, MWAWListenerPtr listener, MWAWPosition const &pos, int partId=0)
| try to send the cluster zone More...
bool | send (RagTime5SpreadsheetInternal::Sheet &sheet, MWAWListenerPtr listener, MWAWPosition const &pos, int partId=0)
| try to send the cluster zone More...
bool | send (RagTime5SpreadsheetInternal::Sheet &sheet, RagTime5SpreadsheetInternal::CellContent const &cell, int numRepeated, MWAWSpreadsheetListenerPtr &listener)
| try to send a cell More...
void | flushExtra ()
| sends the data which have not yet been sent to the listener More...
std::shared_ptr< RagTime5ClusterManager::Cluster > | readSpreadsheetCluster (RagTime5Zone &zone, int zoneType)
| try to read a spreadsheet cluster More...
bool | readSheetDimensions (RagTime5SpreadsheetInternal::Sheet &sheet, RagTime5Zone &zone, RagTime5ClusterManager::Link const &link)
| try to read the spreadsheet dimensions More...
bool | readValuesTree (RagTime5SpreadsheetInternal::Sheet &sheet, RagTime5Zone &zone, RagTime5ClusterManager::Link const &link, int rootId, MWAWVec3i const &maxPos)
| try to read a spreadsheet tree of values More...
bool | readCellBlocks (RagTime5SpreadsheetInternal::Sheet &sheet, RagTime5Zone &zone, RagTime5ClusterManager::Link const &link, bool unionBlock)
| try to read a spreadsheet referenced/union zones More...
bool | readCellRefPos (RagTime5Zone &zone, RagTime5ClusterManager::Link const &link)
| try to read the cell ref ??? zone More...

## Protected Attributes
RagTime5Parser & | m_mainParser
| the parser More...
std::shared_ptr< RagTime5StructManager > | m_structManager
| the structure manager More...
std::shared_ptr< RagTime5StyleManager > | m_styleManager
| the style manager More...
MWAWParserStatePtr | m_parserState
| the parser state More...
std::shared_ptr< RagTime5SpreadsheetInternal::State > | m_state
| the state More...

## Private Member Functions
| RagTime5Spreadsheet (RagTime5Spreadsheet const &orig)=delete
RagTime5Spreadsheet & | operator= (RagTime5Spreadsheet const &orig)=delete

## Friends
class | RagTime5SpreadsheetInternal::SubDocument
class | RagTime5Parser

## Detailed Description

the main class to read the spreadsheet part of RagTime 56 file

## Constructor & Destructor Documentation

## ◆ RagTime5Spreadsheet() [1/2]

RagTime5Spreadsheet::RagTime5Spreadsheet | ( | RagTime5Parser & | parser | ) |
| explicit

constructor

## ◆ ~RagTime5Spreadsheet()

RagTime5Spreadsheet::~RagTime5Spreadsheet | ( |  | ) |
| virtual

destructor

## ◆ RagTime5Spreadsheet() [2/2]

RagTime5Spreadsheet::RagTime5Spreadsheet | ( | RagTime5Spreadsheet const & | orig | ) |
| private delete

## Member Function Documentation

## ◆ flushExtra()

void RagTime5Spreadsheet::flushExtra | ( |  | ) |
| protected

sends the data which have not yet been sent to the listener

## ◆ numPages()

int RagTime5Spreadsheet::numPages | ( |  | ) | const

returns the number of pages

## ◆ operator=()

RagTime5Spreadsheet& RagTime5Spreadsheet::operator= | ( | RagTime5Spreadsheet const & | orig | ) |
| private delete

## ◆ readCellBlocks()

bool RagTime5Spreadsheet::readCellBlocks | ( | RagTime5SpreadsheetInternal::Sheet & | sheet,
|  | RagTime5Zone & | zone,
|  | RagTime5ClusterManager::Link const & | link,
|  | bool | unionBlock
| ) |  |
| protected

try to read a spreadsheet referenced/union zones

Referenced by readSpreadsheetCluster().

## ◆ readCellRefPos()

bool RagTime5Spreadsheet::readCellRefPos | ( | RagTime5Zone & | zone,
|  | RagTime5ClusterManager::Link const & | link
| ) |  |
| protected

try to read the cell ref ??? zone

Referenced by readSpreadsheetCluster().

## ◆ readSheetDimensions()

bool RagTime5Spreadsheet::readSheetDimensions | ( | RagTime5SpreadsheetInternal::Sheet & | sheet,
|  | RagTime5Zone & | zone,
|  | RagTime5ClusterManager::Link const & | link
| ) |  |
| protected

try to read the spreadsheet dimensions

Referenced by readSpreadsheetCluster().

## ◆ readSpreadsheetCluster()

std::shared_ptr< RagTime5ClusterManager::Cluster > RagTime5Spreadsheet::readSpreadsheetCluster | ( | RagTime5Zone & | zone,
|  | int | zoneType
| ) |  |
| protected

try to read a spreadsheet cluster

## ◆ readValuesTree()

bool RagTime5Spreadsheet::readValuesTree | ( | RagTime5SpreadsheetInternal::Sheet & | sheet,
|  | RagTime5Zone & | zone,
|  | RagTime5ClusterManager::Link const & | link,
|  | int | rootId,
|  | MWAWVec3i const & | maxPos
| ) |  |
| protected

try to read a spreadsheet tree of values

Referenced by readSpreadsheetCluster().

## ◆ send() [1/3]

bool RagTime5Spreadsheet::send | ( | int | zoneId,
|  | MWAWListenerPtr | listener,
|  | MWAWPosition const & | pos,
|  | int | partId = `0`
| ) |  |
| protected

try to send the cluster zone

Referenced by flushExtra(), and send().

## ◆ send() [2/3]

bool RagTime5Spreadsheet::send | ( | RagTime5SpreadsheetInternal::Sheet & | sheet,
|  | MWAWListenerPtr | listener,
|  | MWAWPosition const & | pos,
|  | int | partId = `0`
| ) |  |
| protected

try to send the cluster zone

## ◆ send() [3/3]

bool RagTime5Spreadsheet::send | ( | RagTime5SpreadsheetInternal::Sheet & | sheet,
|  | RagTime5SpreadsheetInternal::CellContent const & | cell,
|  | int | numRepeated,
|  | MWAWSpreadsheetListenerPtr & | listener
| ) |  |
| protected

try to send a cell

## ◆ version()

int RagTime5Spreadsheet::version | ( |  | ) | const

returns the file version

## Friends And Related Function Documentation

## ◆ RagTime5Parser

friend class RagTime5Parser
| friend

## ◆ RagTime5SpreadsheetInternal::SubDocument

friend class RagTime5SpreadsheetInternal::SubDocument
| friend

## Member Data Documentation

## ◆ m_mainParser

RagTime5Parser& RagTime5Spreadsheet::m_mainParser
| protected

the parser

Referenced by readSpreadsheetCluster(), and send().

## ◆ m_parserState

MWAWParserStatePtr RagTime5Spreadsheet::m_parserState
| protected

the parser state

Referenced by flushExtra(), send(), and version().

## ◆ m_state

std::shared_ptr<RagTime5SpreadsheetInternal::State> RagTime5Spreadsheet::m_state
| protected

the state

Referenced by flushExtra(), numPages(), readSpreadsheetCluster(), and send().

## ◆ m_structManager

std::shared_ptr<RagTime5StructManager> RagTime5Spreadsheet::m_structManager
| protected

the structure manager

## ◆ m_styleManager

std::shared_ptr<RagTime5StyleManager> RagTime5Spreadsheet::m_styleManager
| protected

the style manager

Referenced by send().

The documentation for this class was generated from the following files:

- RagTime5Spreadsheet.hxx
- RagTime5Spreadsheet.cxx